### Method

# GimpUi Preview invalidate

since: 2.2

#### Declaration [src]

    void
    gimp_preview_invalidate (
      GimpPreview* preview
    )

#### Description [src]

This function starts or renews a short low-priority timeout. When the timeout expires, the GimpPreview::invalidated signal is emitted which will usually cause the `preview` to be updated.

This function does nothing unless the “Preview” button is checked.

During the emission of the signal a busy cursor is set on the toplevel window containing the `preview` and on the preview area itself.

Available since: 2.2